# UniTAP.dev.ports.modules.panel_replay.pr_types

class PRCommand(enum.IntEnum):

Class `PRCommand` contains all possible variants of Panel Replay Command.

No = <PRCommand.No: 0>
EnablingInactive = <PRCommand.EnablingInactive: 1>
EnablingActive = <PRCommand.EnablingActive: 2>
RFB = <PRCommand.RFB: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PRStatus(enum.IntEnum):

Class `PRStatus` contains all possible variants of Panel Replay Status.

Disabled = <PRStatus.Disabled: 0>
EnabledInactive = <PRStatus.EnabledInactive: 1>
EnabledActive = <PRStatus.EnabledActive: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PRError(enum.IntEnum):

Class `PRError` contains all possible variants of Panel Replay Error type.

No = <PRError.No: 0>
Internal = <PRError.Internal: 1>
IncorrectCommandReceived = <PRError.IncorrectCommandReceived: 2>
FailedAccess = <PRError.FailedAccess: 3>
LTFailed = <PRError.LTFailed: 4>
SelUpdIncorrect = <PRError.SelUpdIncorrect: 5>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PRMode(enum.IntEnum):

Class `PRMode` contains all possible variants of Panel Replay mode.

PR = <PRMode.PR: 0>
PSR1 = <PRMode.PSR1: 1>
PSR2 = <PRMode.PSR2: 2>
Res = <PRMode.Res: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class YGranularity(enum.IntEnum):

Class `YGranularity` contains all possible variants of SU Y granularity.

Value_8 = <YGranularity.Value_8: 0>
Value_10 = <YGranularity.Value_10: 1>
Value_12 = <YGranularity.Value_12: 2>
Value_14 = <YGranularity.Value_14: 3>
Value_15 = <YGranularity.Value_15: 4>
Value_16 = <YGranularity.Value_16: 5>
Value_18 = <YGranularity.Value_18: 6>
Value_20 = <YGranularity.Value_20: 7>
Value_24 = <YGranularity.Value_24: 8>
Value_30 = <YGranularity.Value_30: 9>
Value_32 = <YGranularity.Value_32: 10>
Value_36 = <YGranularity.Value_36: 11>
Value_40 = <YGranularity.Value_40: 12>
Value_48 = <YGranularity.Value_48: 13>
Value_54 = <YGranularity.Value_54: 14>
Value_64 = <YGranularity.Value_64: 15>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class Region:

Class `Region` contains information about each PR Region (Frame).

- Set and get X coordinate 'x'.
- Set and get Y coordinate 'y'.
- Set and get Width 'width'.
- Set and get Height `height`

Region(x: int = 0, y: int = 0, width: int = 0, height: int = 0)
x: int

Returns current X coordinate value.

###### Returns:

> object of `int` type

y: int

Returns current Y coordinate value.

###### Returns:

> object of `int` type

width: int

Returns current Width value.

###### Returns:

> object of `int` type

height: int

Returns current Height value.

###### Returns:

> object of `int` type

class Flags:

Class `Flags` contains information about Panel Replay flags capabilities.

- Set and get `early_transport` Early transport during selective update is supported.
- Set and get `crc_in_vsc_sdp`. CRC for selective update region/full active frame in VSC SDP is supported.
- Set and get `mode`. PanelReplay mode.
- Set and get `hpd_irq`. Generate HPD_IRQ with Adaptive-Sync SDP missing (PR).
- Set and get `hpd_irq_vsc_sdp`. IRQ_HPD with VSC SDP uncorrectable error (PR).
- Set and get `hpd_irq_rfb`. IRQ_HPD with RFB storage error (PR).
- Set and get `hpd_irq_crc`. IRQ_HPD with active frame CRC error.
- Set and get `refresh_rate_unlock`. Sink refresh rate unlock granted.
- Set and get `ext_y_gran`. Use SU extended Y granularity (PSR2 and PR).
- Set and get `main_link_remain_on`. Main-link remains ON during PSR1/PSR2 active states.
- Set and get `y_granularity`. SU Y granularity extended value selection.

Flags( early_transport: bool = False, crc_in_vsc_sdp: bool = False, pr_mode: PRMode = < PRMode.PR : 0>, hpd_irq: bool = False, hpd_irq_vsc_sdp: bool = False, hpd_irq_rfb: bool = False, hpd_irq_crc: bool = False, refresh_rate_unlock: bool = False, ext_y_gran: bool = False, main_link_remain_on: bool = False, y_granularity: YGranularity = < YGranularity.Value_8 : 0>)
early_transport: bool

Returns current early transport value.

###### Returns:

> object of `bool` type

crc_in_vsc_sdp: bool

Returns current crc in vsc sdp value.

###### Returns:

> object of `bool` type

mode: PRMode

Returns current PR mode.

###### Returns:

> object of `PRMode` type

hpd_irq: bool

Returns current state of HPD_IRQ with Adaptive-Sync SDP missing (PR).

###### Returns:

> object of `bool` type

hpd_irq_vsc_sdp: bool

Returns current state of IRQ_HPD with VSC SDP uncorrectable error (PR).

###### Returns:

> object of `bool` type

hpd_irq_rfb: bool

Returns current state of IRQ_HPD with RFB storage error (PR).

###### Returns:

> object of `bool` type

hpd_irq_crc: bool

Returns current state of IRQ_HPD with active frame CRC error.

###### Returns:

> object of `bool` type

refresh_rate_unlock: bool

Returns current state of Sink refresh rate unlock granted.

###### Returns:

> object of `bool` type

ext_y_gran: bool

Returns current state of SU extended Y granularity (PSR2 and PR).

###### Returns:

> object of `bool` type

main_link_remain_on: bool

Returns current state of Main-link remains ON during PSR1/PSR2 active states.

###### Returns:

> object of `bool` type

y_granularity: YGranularity

Returns current value of SU Y granularity.

###### Returns:

> object of `YGranularity` type

class PrSettings:

Class `PrSettings` contains information about Panel Replay capabilities.

- Set and get `flags` Flags capabilities.
- Set and get `regions`. Regions capabilities.

flags: Flags

Returns current Flags caps.

###### Returns:

> object of `Flags` type

regions: List[Region]

Returns current Regions caps.

###### Returns:

> object of `Region` list type